package de.avatic.lcc.dto.calculation.edit;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

public class SetDataDTO {

    @JsonProperty("premise_id")
    List<Integer> premiseId;

    @JsonProperty("update_master_data")
    boolean updateMasterData;

    @JsonProperty(value = "supplier_node_id", required = false)
    Integer supplierNodeId;

    @JsonProperty("is_user_supplier_node")
    boolean isUserSupplierNode;

    @JsonProperty(value = "material_id", required = false)
    Integer materialId;

    public boolean isUserSupplierNode() {
        return isUserSupplierNode;
    }

    public void setUserSupplierNode(boolean userSupplierNode) {
        isUserSupplierNode = userSupplierNode;
    }

    public Integer getMaterialId() {
        return materialId;
    }

    public void setMaterialId(Integer materialId) {
        this.materialId = materialId;
    }

    public List<Integer> getPremiseId() {
        return premiseId;
    }

    public void setPremiseId(List<Integer> premiseId) {
        this.premiseId = premiseId;
    }

    public boolean isUpdateMasterData() {
        return updateMasterData;
    }

    public void setUpdateMasterData(boolean updateMasterData) {
        this.updateMasterData = updateMasterData;
    }

    public Integer getSupplierNodeId() {
        return supplierNodeId;
    }

    public void setSupplierNodeId(Integer supplierNodeId) {
        this.supplierNodeId = supplierNodeId;
    }
}
